"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidColorName = void 0;
var validCSSColorNames_1 = require("./validCSSColorNames");
/**
 * Returns true if a CSS color name is valid otherwise if it is invalid then it returns false
 * @param colorName The CSS color name to validate
 */
var isValidColorName = function (colorName) {
    if (typeof colorName !== 'string')
        throw new Error("'colorName' must be a string");
    if (!colorName)
        return false;
    return validCSSColorNames_1.validCSSColorNames.includes(colorName.toLowerCase());
};
exports.isValidColorName = isValidColorName;
