"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidRGB = void 0;
var validateFunctionalRGB_1 = require("./validateFunctionalRGB");
var validateHexRGB_1 = require("./validateHexRGB");
/**
 * Returns true if a CSS RGB or RGBA or hex color string is valid otherwise if it is invalid then it returns false
 * @param rgbString The CSS RGB or RGBA or hex color string to validate
 */
var isValidRGB = function (rgbString) {
    if (typeof rgbString !== 'string')
        throw new Error("'rgbString' must be a string");
    if (rgbString.startsWith('#'))
        return validateHexRGB_1.validateHexRGB(rgbString);
    else
        return validateFunctionalRGB_1.validateFunctionalRGB(rgbString);
};
exports.isValidRGB = isValidRGB;
